> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Models

> Lists all available models that can be used with the Passy API. Returns model information including ID, ownership, and capabilities.



## OpenAPI

````yaml GET /models
openapi: 3.1.0
info:
  title: Passy API
  description: >-
    OpenAI-compatible API for accessing AI models through Passy. Unlimited AI
    for developers with predictable pricing.
  version: 1.0.0
  contact:
    name: Passy Support
    email: hello@passy.ai
    url: https://passy.ai
servers:
  - url: https://api.passy.ai/v1
    description: Passy Production API
security:
  - bearerAuth: []
tags:
  - name: Models
    description: List and retrieve information about available models
  - name: Completions
    description: Create text completions
  - name: Chat
    description: Create chat completions for conversational AI
paths:
  /models:
    get:
      tags:
        - Models
      summary: List Models
      description: >-
        Lists all available models that can be used with the Passy API. Returns
        model information including ID, ownership, and capabilities.
      operationId: listModels
      responses:
        '200':
          description: Successfully retrieved list of models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelList'
              example:
                object: list
                data:
                  - id: llama-3.3-70b-versatile
                    object: model
                    created: 1686935002
                    owned_by: passy
                  - id: gpt-4
                    object: model
                    created: 1687882411
                    owned_by: openai
                  - id: claude-3.5-sonnet
                    object: model
                    created: 1688935002
                    owned_by: anthropic
        '401':
          description: Authentication failed - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Invalid API key provided
                  type: invalid_request_error
                  code: invalid_api_key
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ModelList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          description: List of model objects
          items:
            $ref: '#/components/schemas/Model'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              description: Human-readable error message
              example: Invalid API key provided
            type:
              type: string
              description: Error type
              example: invalid_request_error
            code:
              type: string
              description: Error code
              example: invalid_api_key
    Model:
      type: object
      required:
        - id
        - object
        - created
        - owned_by
      properties:
        id:
          type: string
          description: The model identifier, which can be referenced in API endpoints
          example: llama-3.3-70b-versatile
        object:
          type: string
          enum:
            - model
          description: Object type, always 'model'
        created:
          type: integer
          description: Unix timestamp (in seconds) when the model was created
          example: 1686935002
        owned_by:
          type: string
          description: Organization that owns the model
          example: passy
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your Passy API key. Get your key from the Passy dashboard at
        https://dash.passy.ai/

````